Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
auth::TacPlusManager::ServerSettings Struct Reference

Server settings. More...

## Public Attributes
string | server
| TACACS+ server name or IP address.
int | port
| TACACS+ server TCP port.
int | timeoutSeconds
| max time from connecting until session completion
int | retries
| max number of allowed retries
string | sharedSecret
| Shared secret between Xerus device and TACACs+ server.
AuthenType | authenType
| Authentication type.
boolean | disableAccounting
| `true` to disable accounting, `false` to enable accounting

## Detailed Description

Server settings.

The documentation for this struct was generated from the following file:

- TacPlusManager.idl